@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Serif:ital,opsz,wght@0,8..144,100..900;1,8..144,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --font-primaria: "Roboto", sans-serif;
  --font-secundaria: "poppins", sans-serif;
  --pretoTitulo-color: #000000cc;
  --pretoSubtitulo-color: #000000a6;
}

header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  z-index: 9999;
  padding: 28px 58px;
  position: fixed;
  mix-blend-mode: difference;
}

header .logo img {
  width: 120px;
}

header .navMenu {
  width: 30px;
  height: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
}

.menu {
  width: 100%;
  height: 100vh;
  background-color: rgb(11, 8, 27);
  position: fixed;
  z-index: 999;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 0px 58px;
  transition: 0.3s ease-in;
  opacity: 0;
  transform: translateX(100%);
}

.menuBotao {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.menuBotao a {
  font-size: 8vw;
  font-family: "Roboto serif", serif;
  font-style: italic;
  color: rgba(255, 255, 255, 0.85);
}

.menuBotao a:hover {
  font-style: normal;
  font-family: "Roboto";
}

.midiaMenu {
  display: flex;
  gap: 14px;
  padding-top: 42px;
}

.midiaMenu img {
  transition: 0.5s ease-in;
}

.midiaMenu img:hover {
  transform: rotate(-360deg);
}

.menuActive {
  opacity: 1;
  transform: translateX(0%);
}

body {
  width: 100vw;
  background-color: #fbfbff;
  overflow-x: hidden;
}

.navMenu .topLine {
  width: 100%;
  height: 2px;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 2px;
  transform-origin: 15% center;
  transition: 0.5s;
}

.navMenu .bottomLine {
  width: 100%;
  height: 2px;
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 2px;
  transform-origin: 45% center;
  transition: 0.5s;
}

.topActive {
  transform: rotate(40deg);
}

.bottomActive {
  transform: rotate(-40deg);
}

.divPai {
  width: 100%;
  height: 100vh;
  background-color: rgb(10, 10, 10);
  position: relative;
  perspective: 1200px;
  perspective-origin: 50% 72%;
}

.divGradient {
  width: 100%;
  height: 100vh;
  display: flex;
  background-color: #08081e;
  animation: cor 1s linear;
}

.esquerda {
  width: 50%;
  height: 100vh;
  background: conic-gradient(
    from 90deg at 50% 72%,
    #101010 0deg,
    #959595 100deg,
    #f8f8f8 360deg
  );
  mix-blend-mode: color-dodge;
}

.direita {
  width: 50%;
  height: 100vh;
  background: conic-gradient(
    from 270deg at 50% 28%,
    #101010 0deg,
    #959595 100deg,
    #f8f8f8 360deg
  );
  mix-blend-mode: color-dodge;
  transform: rotatex(180deg);
}

.divGradientBaixo {
  width: 100%;
  display: flex;
  position: absolute;
  top: 0;
  background-color: #08081e;
}

.divGradientBaixo .esquerda2 {
  width: 50%;
  height: 100vh;
  background: conic-gradient(
    from 90deg at 50% 72%,
    #101010 359deg,
    #959595 100deg,
    #f8f8f8 360deg
  );
  mix-blend-mode: color-dodge;
}

.divGradientBaixo .direita2 {
  width: 50%;
  height: 100vh;
  background: conic-gradient(
    from 270deg at 50% 28%,
    #101010 359deg,
    #959595 100deg,
    #f8f8f8 360deg
  );
  mix-blend-mode: color-dodge;
  transform: rotatex(180deg);
}

.sobreposicao {
  width: 100%;
  height: 100vh;
  background: linear-gradient(
    180deg,
    #000000 0%,
    rgba(13, 13, 13, 0) 65%,
    #000000 100%
  );
  position: absolute;
  top: 0;
}

h1 {
  color: rgb(107, 107, 107);
  text-align: center;
  font-size: 6vw;
  font-family: "roboto", sans-serif;
  font-weight: 600;
  width: 90%;
  position: absolute;
  bottom: 30%;
  left: 50%;
  transform: translateX(-50%);
  mix-blend-mode: color-dodge;
}

.conteudo {
  position: absolute;
  bottom: 65%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  flex-direction: column;
  align-items: center;
}

.conteudo p {
  font-size: 18px;
  color: rgba(255, 255, 255, 0.8);
  font-family: "poppins", sans-serif;
  font-weight: 300;
  width: 580px;
  text-align: center;
}

.divBotao {
  display: flex;
  gap: 28px;
  padding-top: 32px;
}

a {
  text-decoration: none;
}

.divBotao .descubra {
  font-size: 16px;
  padding: 6px 6px 6px 22px;
  display: flex;
  align-items: center;
  gap: 10px;
  border-radius: 28px;
  border: none;
  color: rgba(0, 0, 0, 0.8);
  background-color: rgba(255, 255, 255, 0.8);
  font-family: "Roboto";
  font-weight: 400;
  letter-spacing: 0.5px;
}

.divBotao .verProjetos {
  padding: 14px 22px;
  border: none;
  border-radius: 28px;
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  letter-spacing: 0.5px;
  background-color: rgba(255, 255, 255, 0.145);
  color: rgba(255, 255, 255, 0.8);
}

.secSobre {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  padding: 100px 58px;
  transform: rotateX(90deg) scaleX(0.35);
  border-radius: 32px;
  background-color: #fbfbff;
  position: absolute;
  bottom: -22%;
  z-index: 99;
}

.secSobre .textoAnimado {
  font-family: var(--font-secundaria);
  font-weight: 300;
  font-size: clamp(2rem, 3.1vw, 3.8rem);
  color: var(--pretoTitulo-color);
}

.sec2 {
  width: 100%;
  padding: 100px 0px 182px;
  position: relative;
}

.sec2 .containerFerramentas {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.containerFerramentas h2 {
  color: var(--pretoTitulo-color);
  font-family: var(--font-primaria);
  font-size: 1vw;
  font-weight: 500;
  padding-bottom: 82px;
}

.containerFerramentas .containerTopIcones {
  width: 90%;
  position: relative;
  overflow-x: auto;
  display: flex;
}

.containerTopIcones::-webkit-scrollbar {
  display: none;
}

.containerTopIcones .topIcones {
  display: flex;
  align-items: center;
  gap: 6.8em;
  padding-left: 6.8em;
  animation: carrossel 100s linear infinite;
}

@keyframes carrossel {
  to {
    transform: translateX(-100%);
  }
}

.containerBottomIcones {
  width: 90%;
  position: relative;
}

.containerBottomIcones .paiBottomIcones {
  display: flex;
  overflow-x: hidden;
  position: absolute;
  right: 0px;
}

.containerBottomIcones::-webkit-scrollbar {
  display: none;
}

.containerBottomIcones .bottomIcones {
  display: flex;
  align-items: center;
  gap: 6.8em;
  padding-top: 54px;
  padding-left: 6.8em;
  right: 0;
  animation: direitaCarrossel 100s linear infinite;
}

.sec2 .degrade {
  width: 100%;
  height: 80%;
  position: absolute;
  bottom: 0;
  background: linear-gradient(
    90deg,
    #fbfbff 10%,
    rgba(241, 241, 241, 0) 50%,
    #fbfbff 90%
  );
  z-index: 99;
}

@keyframes direitaCarrossel {
  to {
    transform: translateX(100%);
  }
}

.processo {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  padding: 92px 58px;
}

.processo .processoConteudo {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.processoConteudo .comoFunciona {
  font-family: var(--font-primaria);
  color: var(--pretoTitulo-color);
  font-size: clamp(1.8rem, 2.8vw, 3.6rem);
  font-weight: 400;
  width: 40%;
  line-height: 140%;
  text-align: center;
}

.processoConteudo p {
  font-family: var(--font-secundaria);
  color: var(--pretoSubtitulo-color);
  font-size: 16px;
  text-align: center;
  width: 580px;
  padding-top: 8px;
}

.cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  padding-top: 72px;
  width: 100%;
}

.card {
  width: 100%;
  padding: 32px;
}

.card img {
  width: 82px;
  padding-bottom: 82px;
}

.card h3 {
  font-size: 20px;
  font-family: var(--font-primaria);
  font-weight: 600;
  color: var(--pretoTitulo-color);
}

.card p {
  font-family: var(--font-secundaria);
  font-size: 16px;
  color: var(--pretoSubtitulo-color);
  padding-top: 8px;
}

.cards .card1 {
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 20px 0px 0px 20px;
}

.cards .card2 {
  border-color: rgba(0, 0, 0, 0.15);
  border-style: solid;
  border-width: 1px 1px 1px 0px;
}

.cards .card3 {
  border-color: rgba(0, 0, 0, 0.15);
  border-style: solid;
  border-width: 1px 1px 1px 0px;
}

.cards .card4 {
  border-color: rgba(0, 0, 0, 0.15);
  border-style: solid;
  border-width: 1px 1px 1px 0px;
  border-radius: 0px 20px 20px 0px;
}

.sec4 {
  width: 100%;
  padding: 100px 58px;
}

.sec4 .projetosTitulo {
  display: flex;
  justify-content: space-between;
  align-items: end;
  border-bottom: 1px solid rgba(0, 0, 0, 0.35);
  padding-bottom: 28px;
}

.projetosTitulo h2 {
  font-family: var(--font-primaria);
  font-weight: 400;
  font-size: clamp(1.8rem, 3vw, 3.6rem);
  width: 30%;
  color: var(--pretoTitulo-color);
  line-height: 140%;
}

.projetosTitulo h2 .textoCinza {
  color: rgb(131, 131, 131);
}

.projetosTitulo .projetoSubtitulo {
  display: flex;
  flex-direction: column;
  align-items: end;
}

.projetoSubtitulo p {
  font-family: var(--font-secundaria);
  font-size: 16px;
  text-align: end;
  width: 350px;
  color: var(--pretoSubtitulo-color);
  padding-bottom: 22px;
}

.projetoSubtitulo span {
  background-color: rgba(0, 0, 0, 0.8);
  color: rgba(255, 255, 255, 0.75);
  border-radius: 20px;
  font-family: var(--font-primaria);
  font-size: 14px;
  font-weight: 400;
  padding: 8px 14px;
}

.sec4 .containerProjetos {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 24px;
  padding-top: 72px;
}

.containerProjetos .projeto {
  width: 100%;
  position: relative;
}

.projeto .capaProjeto {
  width: 100%;
  transition: 0.5s;
}

.projeto .cabecalio {
  position: absolute;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 28px;
}

.cabecalio .ui {
  color: rgba(255, 255, 255, 0.801);
  font-family: var(--font-primaria);
  font-weight: 300;
  font-size: 14px;
  border: 1px solid rgba(255, 255, 255, 0.6);
  padding: 8px 12px;
  border-radius: 20px;
}

.cabecalio .cabecalioEsquerda {
  display: flex;
  gap: 18px;
}

.projeto .deskProjeto {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-bottom: 42px;
}

.deskProjeto h2 {
  font-family: var(--font-primaria);
  font-style: italic;
  font-weight: 500;
  color: var(--pretoTitulo-color);
  font-size: 22px;
}

.deskProjeto span {
  display: flex;
  align-items: center;
}

.deskProjeto a {
  font-family: var(--font-secundaria);
  font-size: 14px;
  color: rgba(0, 0, 0, 0.75);
  cursor: pointer;
}

.deskProjeto a:hover {
  font-style: italic;
  color:rgba(0, 0, 0, 0.65)
}

footer {
  width: 100%;
  height: 100vh;
  padding: 0px 58px 0px 58px;
  position: relative;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  background-color: #070616;
}

footer .luzCima {
  width: 70%;
  position: absolute;
  top: -30%;
  right: 10%;
  transform: rotate(30deg);
  mix-blend-mode: color-dodge;
  opacity: 0.8;
}

footer .luzEsquerda {
  width: 70%;
  position: absolute;
  left: -25%;
  top: -10%;
  transform: rotate(-40deg);
  mix-blend-mode: color-dodge;
  opacity: 0.9;
}

footer .conteudoFooter {
  display: flex;
  flex-direction: column;
  align-items: center;
  transform: translateY(20%);
}

.conteudoFooter h2 {
  font-size: clamp(1.8rem, 3vw, 3.6rem);
  font-family: var(--font-primaria);
  font-weight: 400;
  width: 60%;
  text-align: center;
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 0.48) 10.97%,
    rgba(224, 229, 255, 0.8) 71.26%
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

footer p {
  color: rgba(255, 255, 255, 0.6);
  font-family: var(--font-secundaria);
  font-weight: 300;
  text-align: center;
  width: 440px;
  font-size: 16px;
  padding-top: 10px;
}

footer .redesSociais {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 14px;
  padding-top: 28px;
}

.redesSociais img {
  transition: 0.5s ease-in;
}

.redesSociais img:hover {
  transform: rotate(-360deg);
}

footer .legal {
  position: absolute;
  bottom: 2.5%;
  color: rgba(255, 255, 255, 0.7);
  z-index: 10;
  font-family: var(--font-primaria);
  font-size: 14px;
  letter-spacing: 0.5px;
  cursor: pointer;
}

footer .contato h2 {
  font-size: 19vw;
  transform: translateY(25%);
  font-family: var(--font-secundaria);
  font-weight: 600;
  /* text-shadow: -1px -1px rgba(255, 255, 255, 0.329); */
  color: #ffffff05;
  -webkit-text-stroke: 1px rgba(255, 255, 255, 0.144);
}

footer::after {
  content: "";
  width: 100%;
  height: 50%;
  position: absolute;
  bottom: 0%;
  background: linear-gradient(180deg, rgba(6, 5, 15, 0) 50%, #06050f 100%);
  z-index: 9;
}

@media (max-width: 1720px) {
  .conteudo p {
    font-size: 16px;
    width: 490px;
  }

  .sec3 .textoAnimado {
    font-size: 3.1vw;
  }

  .sec4 {
    padding: 182px 58px;
  }
}

@media (max-width: 1024px) {
  header {
    padding: 32px;
  }

  .menu .menuBotao a {
    font-size: 10vw;
  }

  .divGradient {
    width: 160%;
    position: absolute;
    left: -30%;
  }

  .divGradientBaixo {
    width: 160%;
    position: absolute;
    left: -30%;
  }

  .divPai h1 {
    font-size: 8vw;
    bottom: 31%;
  }

  .conteudo {
    top: 25%;
  }

  .secSobre {
    padding: 32px;
  }

  .secSobre .textoAnimado {
    font-size: 5vw;
    text-align: justify;
  }

  .sec2 .containerFerramentas h2 {
    font-size: 2.5vw;
  }

  .containerTopIcones .topIcones {
    gap: 4em;
    padding-left: 4em;
  }

  .containerBottomIcones .bottomIcones {
    gap: 4em;
    padding-left: 4em;
  }

  .sec2 .degrade {
    background: linear-gradient(
      90deg,
      #fbfbff 5%,
      rgba(241, 241, 241, 0) 50%,
      #fbfbff 95%
    );
  }

  .processo {
    padding: 120px 32px;
  }

  .processoConteudo .comoFunciona {
    font-size: 5vw;
    width: 70%;
  }

  .cards {
    grid-template-columns: repeat(2, 1fr);
  }

  .cards .card1 {
    border-radius: 20px 0px 0px 0px;
  }

  .cards .card2 {
    border-radius: 0px 20px 0px 0px;
  }

  .cards .card3 {
    border-width: 0px 1px 1px;
    border-radius: 0px 0px 0px 20px;
  }

  .cards .card4 {
    border-width: 0px 1px 1px 0px;
    border-radius: 0px 0px 20px 0px;
  }

  .sec4 {
    padding: 182px 32px;
  }

  .sec4 .projetosTitulo h2 {
    font-size: 5vw;
    width: 50%;
  }

  .sec4 .containerProjetos {
    grid-template-columns: repeat(1, 1fr);
  }

  footer {
    height: max-content;
    padding-top: 82px;
  }

  footer .conteudoFooter h2 {
    font-size: 5vw;
    width: 100%;
  }

  .conteudoFooter p {
    width: 490px;
  }
}

@media (max-width: 480px) {
  header {
    padding: 20px;
  }

  header .logo img {
    width: 132px;
  }

  .divPai {
    width: 100%;
    height: 100vh;
    overflow-x: hidden;
  }

  .divPai .divGradient {
    width: 160%;
    position: absolute;
    left: -30%;
  }

  .divGradientBaixo {
    width: 170%;
    left: -35%;
  }

  .divPai .sobreposicao {
    right: 0%;
  }

  .divPai h1 {
    font-size: 9vw;
    width: 100%;
  }

  .divPai .conteudo {
    width: 100%;
    padding: 0px 20px;
    top: 20%;
  }

  .conteudo p {
    width: 100%;
    font-size: 16px;
  }

  .conteudo .divBotao {
    align-items: center;
    justify-content: center;
    width: 100%;
  }

  .conteudo .divBotao button {
    font-size: 16px;
  }

  .secSobre {
    padding: 20px;
  }

  .secSobre .textoAnimado {
    font-size: 6.8vw;
    line-height: 150%;
    text-align: justify;
  }

  .sec2 .containerFerramentas h2 {
    font-size: 4vw;
  }

  .processo {
    padding: 100px 20px;
    height: max-content;
  }

  .processoConteudo .comoFunciona {
    width: 100%;
    font-size: 6vw;
  }

  .processo .processoConteudo p {
    width: 100%;
  }

  .processo .cards {
    padding-top: 42px;
    grid-template-columns: repeat(1, 1fr);
  }

  .cards .card1 {
    border-width: 1px 1px 0px 1px;
    border-radius: 20px 20px 0px 0px;
  }

  .cards .card2 {
    border-width: 1px 1px 1px 1px;
    border-radius: 0px;
  }

  .cards .card3 {
    border-radius: 0px;
  }

  .cards .card4 {
    border-width: 0px 1px 1px 1px;
    border-radius: 0px 0px 20px 20px;
  }

  .sec4 {
    padding: 100px 20px;
  }

  .sec4 .projetosTitulo {
    flex-direction: column;
    align-items: center;
  }

  .sec4 .projetosTitulo h2 {
    font-size: 6vw;
    width: 100%;
    text-align: start;
  }

  .projetosTitulo .projetoSubtitulo p {
    text-align: end;
    padding-top: 10px;
  }

  .projetosTitulo .projetoSubtitulo {
    align-items: end;
  }

  .projeto .cabecalio {
    padding: 20px;
  }

  footer .conteudoFooter {
    width: 100%;
    transform: translate(0%);
  }

  footer .conteudoFooter h2 {
    font-size: 6vw;
  }

  footer .conteudoFooter p {
    width: 100%;
  }

  footer .luzEsquerda {
    width: 80%;
  }

  footer .luzCima {
    width: 80%;
  }
}
